Name:           perl-Module-Load-Conditional
Version:        0.16
Release:        2%{?dist}
Summary:        Looking up module information / loading at runtime
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Load-Conditional/
Source0:        http://www.cpan.org/authors/id/K/KA/KANE/Module-Load-Conditional-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Params::Check)
BuildRequires:  perl(version) >= 0.69
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Module::Load::Conditional provides simple ways to query and possibly load
any of the modules you have installed on your system during runtime.

%prep
%setup -q -n Module-Load-Conditional-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.16-2
- BR ExtUtils::MakeMaker.

* Sat Jan 27 2007 Steven Pritchard <steve@kspei.com> 0.16-1
- Update to 0.16.
- BR: version.

* Sat Jan 06 2007 Steven Pritchard <steve@kspei.com> 0.14-1
- Update to 0.14.
- Use fixperms macro instead of our own chmod incantation.

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Rebuild.

* Fri Aug 18 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Update to 0.12.
- Add CHANGES to docs.

* Sat Aug 05 2006 Steven Pritchard <steve@kspei.com> 0.10-1
- Update to 0.10.

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.08-1
- Specfile autogenerated by cpanspec 1.62.
- Fix License.
- Drop explicit Requires.
